#ifndef _PARALLEL_INCLUDE_HEADER_
#define _PARALLEL_INCLUDE_HEADER_

extern bool gpuEnabled;

#ifdef _GPU_

#include <cstdio>
#include <cstdlib>
#include <cmath>
#include <vector>
#include <opencv/cv.h>
#include <opencv/highgui.h>
#include <vector_types.h>
#include "Image.h"

using namespace std;
using namespace cv;

float *gpuComputeDistanceList(IplImage *img, IplImage *msk, int patchSize,
                              const vector< pair<int, int> >& sourcePatches,
                              int px, int py);


#endif // _GPU_

#endif // _PARALLEL_INCLUDE_HEADER_